Bug 81598 - scp does the wrong thing when quota exceeded
Summary: scp does the wrong thing when quota exceeded
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-10 23:30 UTC by Jay Fenlason
Modified: 2014-08-31 23:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 12:34:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Fenlason 2003-01-10 23:30:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When using scp to put files on people.redhat.com, I noticed that the 
destination files were the expected length, but full of NULLs.  It took me a 
few seconds to figure out why my files appeared to be the correct size, but the 
md5sums were wrong.  I expected the truncated files would have their file sizes 
truncated as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Give yourself a small disk quota
2.scp in a large file from another machine
3.use ls -l and od -c to look at the results
    

Actual Results:  The (truncated) destination file is reported to be the correct 
size by ls

Expected Results:  The truncated destination file should be reported to be the 
truncated size.

Additional info:

Comment 1 Damien Miller 2003-02-10 03:49:14 UTC
This is fixed in OpenSSH CVS and will be in 3.6(p1). 

If RedHat wants to include the fix before this, it may be found at:

http://bugzilla.mindrot.org/show_bug.cgi?id=403

Note that a similar fix was needed for rcp.


Note You need to log in before you can comment on or make changes to this bug.